Page MenuHomePhabricator

Clean up RCFilters preference tech debt once watchlist is out of beta
Closed, ResolvedPublic

Description

Possibly incomplete list of things to clean up:

  • Default $wgStructuredChangeFiltersShowPreference to true, and/or deprecate it, and/or remove it
  • Same for $wgStructuredChangeFiltersShowWatchlistPreference
  • Same for $wgStructuredChangeFiltersOnWatchlist
  • Remove beta feature code in WikimediaMessages, including $wgEnableRcFiltersBetaFeature
  • Remove the RcFiltersInvite guided tour in WikimediaMessages

Event Timeline

Catrope triaged this task as Normal priority.May 31 2018, 1:21 AM
Catrope created this task.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 31 2018, 1:21 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Catrope updated the task description. (Show Details)May 31 2018, 1:50 AM
Catrope updated the task description. (Show Details)Jun 1 2018, 9:11 PM
Vvjjkkii renamed this task from Clean up RCFilters preference tech debt once watchlist is out of beta to yxbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from yxbaaaaaaa to Clean up RCFilters preference tech debt once watchlist is out of beta.Jul 2 2018, 2:18 AM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Catrope edited projects, added Growth-Team; removed Growth-Team (Current Sprint).
Catrope moved this task from Inbox to Upcoming Work on the Growth-Team board.
kostajh added a subscriber: kostajh.

Watchlist is out of beta. We'd like to do this in Q2/Q3.

kostajh moved this task from Upcoming Work to FY 2019-20 on the Growth-Team board.Sep 18 2018, 7:12 PM

Change 463315 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/WikimediaMessages@master] Remove rcfilters beta features and related tours

https://gerrit.wikimedia.org/r/463315

Change 463317 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] Remove temporary rcfilters variables

https://gerrit.wikimedia.org/r/463317

Change 463319 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[operations/mediawiki-config@master] Remove config for RCFilters variables being removed from Core

https://gerrit.wikimedia.org/r/463319

Change 463315 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Remove rcfilters beta features and related tours

https://gerrit.wikimedia.org/r/463315

Change 463317 merged by jenkins-bot:
[mediawiki/core@master] Remove temporary rcfilters variables

https://gerrit.wikimedia.org/r/463317

Change 463876 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] Remove unused function: isStructuredFilterUiEnabledByDefault

https://gerrit.wikimedia.org/r/463876

Change 463876 merged by jenkins-bot:
[mediawiki/core@master] Remove unused function: isStructuredFilterUiEnabledByDefault

https://gerrit.wikimedia.org/r/463876

Change 463319 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove config for RCFilters variables being removed from Core

https://gerrit.wikimedia.org/r/463319

The last part (cleaning up the variables in wmf-config) was just deployed.

Etonkovidova closed this task as Resolved.Oct 12 2018, 12:37 AM

Change 508930 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] Remove rcenhancedfilters from $wgDefaultUserOptions

https://gerrit.wikimedia.org/r/508930

Change 508931 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/ORES@master] Remove all reference to rcenhancedfilters

https://gerrit.wikimedia.org/r/508931

Change 508932 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Remove rcenhancedfilters from beta features whitelist

https://gerrit.wikimedia.org/r/508932

Change 508932 abandoned by Jforrester:
Remove rcenhancedfilters from beta features whitelist

Reason:
Let's do this in Iea7b2fc9 instead.

https://gerrit.wikimedia.org/r/508932

Change 508930 merged by jenkins-bot:
[mediawiki/core@master] Remove rcenhancedfilters from $wgDefaultUserOptions

https://gerrit.wikimedia.org/r/508930

Change 508931 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Remove all references to rcenhancedfilters

https://gerrit.wikimedia.org/r/508931